import 'package:sharing/remote/local/shared_prefers_helper.dart';

class Sharing {
  static void initLocal(
      {required domainUrl,
      required imageUrl,
      required String primaryColor,
      required String primarySecondColor,
      required String buttonColor,
      required String secondColor,
      String? fontName}) async {
    await SharedPrefsHelper().initialize();
    prefsHelper.setDomainUrl(domainUrl);
    prefsHelper.setImageUrl(imageUrl);
    prefsHelper.setPrimaryColor(primaryColor);
    prefsHelper.setPrimarySecondColor(primarySecondColor);
    prefsHelper.setButtonColor(buttonColor);
    prefsHelper.setSecondColor(secondColor);
    prefsHelper.setFontName(fontName);
  }

  static void updateTheme(
      {required String primaryColor,
      required String primarySecondColor,
      required String buttonColor,
      required List<double>? begin,
      required List<double>? end}) {
    prefsHelper.setPrimaryColor(primaryColor);
    prefsHelper.setPrimarySecondColor(primarySecondColor);
    prefsHelper.setButtonColor(buttonColor);
    prefsHelper.setBeginColor("{\"${begin?[0]}\" : \"${begin?[1]}\"}");
    prefsHelper.setEndColor("{\"${end?[0]}\" : \"${end?[1]}\"}");
  }
}
